Bug 176259 - OOo writer should be registered as a rtf handler
OOo writer should be registered as a rtf handler
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 12:15 EST by Kjartan Maraas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.0.1.1-4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-04 10:19:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 59675 None None None Never

  None (edit)
Description Kjartan Maraas 2005-12-20 12:15:56 EST
Description of problem:
Found an interesting rich text formatted (.rtf) document on the net today and
GNOME suggested I open it in sysprof. I think it would make more sense if OO.o
told the system it could open these :)

The file has mime type application/rtf according to nautilus and OO.o just has
text/rtf in the desktop file.

[kmaraas@localhost ~]$ file Desktop/*.rtf
Desktop/testplanmal.rtf: Rich Text Format data, version 1, Apple Macintosh

Opening it directly from writer worked just fine.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2005-12-22 08:05:11 EST
Yeah, OOo is registered as "text/rtf" while gnome/shared-mime is calling it
"application/rtf". Upstreamed a patch as
http://www.openoffice.org/issues/show_bug.cgi?id=59675

Note You need to log in before you can comment on or make changes to this bug.